com.holonplatform.core.query

## Interface Query

- All Superinterfaces:
    DatastoreCommodity, DataTarget.DataTargetSupport<Query>, ExpressionResolver.ExpressionResolverBuilder<Query>, QueryAggregation.QueryAggregationSupport<Query>, QueryBuilder<Query>, QueryFilter.QueryFilterSupport<Query>, QueryResults, QuerySort.QuerySortSupport<Query>, Serializable

      public interface Query
      extends DatastoreCommodity, QueryBuilder<Query>, QueryResults

  Interface to model a query, apply restrictions, sortings and configurations and obtain query results.

  Query supports `QueryFilter` and `QuerySort` clauses and provides common configuration features such as limit/offset for results paging.

  Since:
    5.0.0
  See Also:
    `QueryBuilder`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Query.QueryBuildException` Exception thrown for `Query` build errors.

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.query.QueryResults

      `QueryResults.QueryExecutionException, QueryResults.QueryNonUniqueResultException, QueryResults.QueryResultConversionException`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.core.query.QueryBuilder

      `getQueryConfiguration, limit, offset, parameter, restrict`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryFilter.QueryFilterSupport

      `filter`

    - ### Methods inherited from interface com.holonplatform.core.query.QuerySort.QuerySortSupport

      `sort`

    - ### Methods inherited from interface com.holonplatform.core.datastore.DataTarget.DataTargetSupport

      `target, target`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryAggregation.QueryAggregationSupport

      `aggregate, aggregate, aggregate`

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver.ExpressionResolverBuilder

      `withExpressionResolver`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryResults

      `count, findOne, findOne, findOne, list, list, list, stream, stream, stream`

Copyright © 2017 The Holon Platform. All rights reserved.